package com.lantone.qc.pub.model;

import com.lantone.qc.pub.model.doc.*;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @ClassName : InputInfo
 * @Description : 医院质控病历录入对象
 * @Author : 楼辉荣
 * @Date: 2020-03-04 15:39
 */
@Getter
@Setter
public class InputInfo {

    /**
     * 将要执行的规则，PRECOND--规则执行前置条件
     * {"BEH0001":{"PRECOND":"BEH0002,BEH0003,BEH0004"}}
     */
    private Map<String, Map<String, String>> inputCatalogueMap = new HashMap<>();
    //入院病历
    private BeHospitalizedDoc beHospitalizedDoc;
    //临床用血审核制度
    private ClinicalBloodDoc clinicalBloodDoc;
    //会诊制度
    private List<ConsultationDoc> consultationDocs = new ArrayList<>();
    //死亡病例讨论制度
    private DeathCaseDiscussDoc deathCaseDiscussDoc;
    //死亡记录
    private DeathRecordDoc deathRecordDoc;
    //疑难病例讨论制度
    private List<DifficultCaseDiscussDoc> difficultCaseDiscussDocs = new ArrayList<>();
    //值班交接制度
    private List<DutyShiftSystemDoc> dutyShiftSystemDocs = new ArrayList<>();
    //首次病程录
    private FirstCourseRecordDoc firstCourseRecordDoc;
    //病案首页
    private FirstPageRecordDoc firstPageRecordDoc;
    //出院小结
    private LeaveHospitalDoc leaveHospitalDoc;
    //分级护理制度
    private NursingSystemDoc nursingSystemDoc;
    //围手术期病历讨论及记录
    private List<OperationDiscussionDoc> operationDiscussionDocs = new ArrayList<>();
    //术前讨论制度
    private List<PreoperativeDiscussionDoc> preoperativeDiscussionDocs = new ArrayList<>();
    //三级查房制度测试
    private ThreeLevelWardDoc threeLevelWardDoc;
    //抢救记录
    private List<RescueDoc> rescueDocs = new ArrayList<>();

    //新增记录
    public <T> void addDoc(List<T> list, T obj) {
        list.add(obj);
    }
}