package com.lantone.qc.trans.changx;

import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.model.vo.QueryVo;
import com.lantone.qc.trans.DocTrans;

/**
 * @ClassName : TaiZhouDocTrans
 * @Description :
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:47
 */
public class ChangxDocTrans extends DocTrans {

    @Override
    protected InputInfo extract(QueryVo queryVo) {
        InputInfo inputInfo = new InputInfo();
        for (MedrecVo i : queryVo.getMedrec()) {
            if (i.getTitle().equals("入院记录")) {
                BeHospitalizedDocTrans beHospitalizedDocTrans = new BeHospitalizedDocTrans();
                beHospitalizedDocTrans.setPreproc(getPreproc());
                beHospitalizedDocTrans.setModelDocGenerate(getModelDocGenerate());
                inputInfo.setBeHospitalizedDoc(beHospitalizedDocTrans.extract(i));
            }
            if (i.getTitle().equals("临床用血审核制度")) {
                ClinicalBloodDocTrans clinicalBloodDocTrans = new ClinicalBloodDocTrans();
                inputInfo.setClinicalBloodDoc(clinicalBloodDocTrans.extract(i));
            }
            if (i.getTitle().equals("会诊制度")) {
                ConsultationDocTrans consultationDocTrans = new ConsultationDocTrans();
                inputInfo.setConsultationDocs(consultationDocTrans.extract(i));
            }
            if (i.getTitle().equals("死亡病例讨论制度")) {
                DeathCaseDiscussDocTrans deathCaseDiscussDocTrans = new DeathCaseDiscussDocTrans();
                inputInfo.setDeathCaseDiscussDoc(deathCaseDiscussDocTrans.extract(i));
            }
            if (i.getTitle().equals("死亡记录")) {
                DeathRecordDocTrans deathRecordDocTrans = new DeathRecordDocTrans();
                inputInfo.setDeathRecordDoc(deathRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("疑难病例讨论制度")) {
                DifficultCaseDiscussDocTrans difficultCaseDiscussDocTrans = new DifficultCaseDiscussDocTrans();
                inputInfo.setDifficultCaseDiscussDocs(difficultCaseDiscussDocTrans.extract(i));
            }
            if (i.getTitle().equals("值班及交接班制度")) {
                DutyShiftSystemDocTrans dutyShiftSystemDocTrans = new DutyShiftSystemDocTrans();
                inputInfo.setDutyShiftSystemDocs(dutyShiftSystemDocTrans.extract(i));
            }
            if (i.getTitle().equals("首次病程录")) {
                FirstCourseRecordDocTrans firstCourseRecordDocTrans = new FirstCourseRecordDocTrans();
                inputInfo.setFirstCourseRecordDoc(firstCourseRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("病案首页")) {
                FirstPageRecordDocTrans firstPageRecordDocTrans = new FirstPageRecordDocTrans();
                inputInfo.setFirstPageRecordDoc(firstPageRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("出院小结")) {
                LeaveHospitalDocTrans leaveHospitalDocTrans = new LeaveHospitalDocTrans();
                inputInfo.setLeaveHospitalDoc(leaveHospitalDocTrans.extract(i));
            }
            if (i.getTitle().equals("分级护理制度")) {
                NursingSystemDocTrans nursingSystemDocTrans = new NursingSystemDocTrans();
                inputInfo.setNursingSystemDoc(nursingSystemDocTrans.extract(i));
            }
            if (i.getTitle().equals("围手术期病历讨论及记录")) {
                OperationDiscussionDocTrans operationDiscussionDocTrans = new OperationDiscussionDocTrans();
                inputInfo.setOperationDiscussionDocs(operationDiscussionDocTrans.extract(i));
            }
            if (i.getTitle().equals("术前讨论制度")) {
                PreoperativeDiscussionDocTrans preoperativeDiscussionDocTrans = new PreoperativeDiscussionDocTrans();
                inputInfo.setPreoperativeDiscussionDocs(preoperativeDiscussionDocTrans.extract(i));
            }
            if (i.getTitle().equals("抢救记录")) {
                RescueDocTrans rescueDocTrans = new RescueDocTrans();
                inputInfo.setPreoperativeDiscussionDocs(rescueDocTrans.extract(i));
            }
            if (i.getTitle().equals("三级查房制度")) {
                ThreeLevelWardDocTrans threeLevelWardDocTrans = new ThreeLevelWardDocTrans();
                inputInfo.setThreeLevelWardDoc(threeLevelWardDocTrans.extract(i));
            }
        }
        return inputInfo;
    }

}